- Qt 5.15
- Qt Quick
- QML Types
- Wander QML Type
- Qt 5.15.18 Reference Documentation

# Wander QML Type

For applying random particle trajectory. More...

Import Statement: | import QtQuick.Particles 2.15
Inherits: | Affector

- List of all members, including inherited members

## Properties

- affectedParameter : AffectableParameter
- pace : real
- xVariance : real
- yVariance : real

## Detailed Description

## Property Documentation

affectedParameter : AffectableParameter

What attribute of particles is directly affected.

- PointAttractor.Position
- PointAttractor.Velocity
- PointAttractor.Acceleration

pace : real

Maximum attribute change per second.

xVariance : real

Maximum attribute x value (as a result of Wander).

If unset, Wander will not affect x values.

yVariance : real

Maximum attribute y value (as a result of Wander).

If unset, Wander will not affect y values.